import std.stdio, std.string;
import std.algorithm;

void main()
{
    size_t [string] dictionary;
    foreach (line; stdin.byLine())
    {
        // Раз­бить стро­ку на сло­ва
        // До­ба­вить ка­ж­дое сло­во стро­ки в сло­варь
        foreach (word; line.strip.splitter)
        {
            if (word in dictionary) continue; // Ни­че­го не де­лать
            auto newID = dictionary.length;
            dictionary[word.idup] = newID;
            writeln(newID, '\t', word);
        }
    }
}
